﻿<h2>Nuevo</h2>

<form id="itemForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Book" />

    <div>
        <label for="title" class="fw-bold">Title:</label>
        <input type="text" id="title" name="title" class="form-control custom-width-input">
    </div>
    <div>
        <label for="publicationYear" class="fw-bold">Publication Year:</label>
        <input type="text" id="publicationYear" name="publicationYear" class="form-control custom-width-input">
    </div>
    <div>
        <label for="cmbAuthor" class="fw-bold">Author:</label>
        <select id="cmbAuthor" class="form-select custom-width-input"></select>
    </div>
    <div>
        <label for="cmbGenre" class="fw-bold">Genre:</label>
        <select id="cmbGenre" class="form-select custom-width-input"></select>
    </div>
    <br />
    <div>
        <button type="button" onclick="fillData()" class="btn btn-primary">Guardar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secondary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/create.js"></script>

<script>

    // Authors
    var cmbAuthor = document.getElementById('cmbAuthor');
    cmbAuthor.innerHTML = "";

    fetch('/Author/getSimpleItems/')
        .then(response => response.json())
        .then(function (data) {
            //console.log(data);
            data.items.forEach(function (item) {
                var option = document.createElement('option');
                option.value = item.id;
                option.textContent = item.fullName;
                cmbAuthor.appendChild(option);
            });
        })
        .catch(error => console.error("Error: ", error));

    // Genres
    var cmbGenre = document.getElementById('cmbGenre');
    cmbGenre.innerHTML = "";

    fetch('/Genre/getSimpleItems/')
        .then(response => response.json())
        .then(function (data) {
            //console.log(data);
            data.items.forEach(function (item) {
                var option = document.createElement('option');
                option.value = item.id;
                option.textContent = item.nombre;
                cmbGenre.appendChild(option);
            });
        })
        .catch(error => console.error("Error: ", error));


    function fillData() {
        // Lógica para enviar los datos del formulario al servidor
        console.log("Guardando cambios...");
        // Obtener los valores de los campos del formulario
        const title = document.getElementById("title").value;
        const publicationYear = document.getElementById("publicationYear").value;
        const author = document.getElementById("cmbAuthor").value;
        const genre = document.getElementById("cmbGenre").value;

        // Crear un objeto con los datos a enviar en el cuerpo de la solicitud POST
        const postData = {
            title: title,
            publicationYear: publicationYear,
            author: { id: author },
            genre: { id: genre }
        };

        guardar(postData);
    }
</script>

